document.addEventListener('DOMContentLoaded', () => {
    console.log('Document is ready');

    const themeToggleSun = document.getElementById('sun-icon');
    const themeToggleMoon = document.getElementById('moon-icon');

    const toggleTheme = () => {
        document.body.classList.toggle('dark-mode');
        document.querySelector('header').classList.toggle('dark-mode');
        document.querySelector('footer').classList.toggle('dark-mode');
        document.querySelectorAll('.location').forEach(location => {
            location.classList.toggle('dark-mode');
        });
        document.querySelectorAll('.youtube-info').forEach(info => {
            info.classList.toggle('dark-mode');
        });
        document.querySelectorAll('nav ul li a').forEach(link => {
            link.classList.toggle('dark-mode');
        });
        themeToggleSun.classList.toggle('hidden');
        themeToggleMoon.classList.toggle('hidden');
    };

    themeToggleSun.addEventListener('click', toggleTheme);
    themeToggleMoon.addEventListener('click', toggleTheme);
});